USERADD(8)

NAMN
useradd - skapa en ny användare eller uppdatera standardinformation för nya anvÃ¤ndare

SYNOPSIS

useradd [flaggor] INLOGGNINGSNAMN

useradd -D

useradd -D [flaggor]

BESKRIVNING

When invoked without the -D option, the useradd command creates a new user account using the values specified on the command line and the default values from the system. Depending on command line options, the useradd command will update system files and may also create the new user's home directory and copy initial files.

FLAGGOR

Flaggorna som gäller för kommandot useradd är:

-c, --commentKOMMENTAR
    Any text string. It is generally a short description of the login, and is currently used as the field for the user's full name.

-b, --base-dir BASE_DIR
    The default base directory for the system if -d dir is not specified. BASE_DIR is concatenated with the account name to define the home directory. If the -m option is not used, BASE_DIR must exist.

-d, --homeHEM_KAT
    The new user will be created using HOME_DIR as the value for the user's login directory. The default is to append the LOGIN name to BASE_DIR and use that as the login directory name. The directory HOME_DIR does not have to exist but will not be created if it is missing.

-e, --expiredateUTGÅNGSDATUM
    The date on which the user account will be disabled. The date is specified in the format YYYY-MM-DD.

-f, --inactiveINAKTIV
    The number of days after a password expires until the account is permanently disabled. A value of 0 disables the account as soon as the password has expired, and a value of -1 disables the feature. The default value is -1.

-g, --gidGRUPP
    The group name or number of the user's initial login group. The group name must exist. A group number must refer to an already existing group. The default group number is 1 or whatever is specified in /etc/default/useradd.

-G, --groupsGRUPP1[,GRUPP2,...[,GRUPPN]]]
    A list of supplementary groups which the user is also a member of. Each group is separated from the next by a comma, with no intervening whitespace. The groups are subject to the same restrictions as the group given with the -g option. The default is for the user to belong only to the initial group.

-h, --help
    Visa hjälpmeddelande och avsluta.

-m, --create-home
    The user's home directory will be created if it does not exist. The files contained in SKEL_DIR will be copied to the home directory if the -k option is used, otherwise the files contained in /etc/skel will be used instead. Any directories contained in SKEL_DIR or /etc/skel will be created in the user's home directory as well. The -k option is only valid in conjunction with the -m option. The default is to not create the directory and to not copy any files.

-K, --keyNYCKEL=VÄRDE
    Åsidosätter standardvärden för /etc/login.defs (UID_MIN, UID_MAX, UMASK, PASS_MAX_DAYS och others). Exempel: -K LÖSEN_MAX_DAGAR=-1 kan användas när systemkonton skapas för att stänga av lösenordsåldring, även om systemkontot inte har något lösenord alls. Flera av flaggan -K kan anges, t.ex.: -K UID_MIN=100 -K UID_MAX=499

    Notera: -K UID_MIN=10,UID_MAX=499 fungerar ännu inte.

-o, --non-unique
    Allow the creation of a user account with a duplicate (non-unique) UID.

-p, --passwordLÖSENORD
    The encrypted password, as returned by crypt(3). The default is to disable the account.

-s, --shellSKAL
    The name of the user's login shell. The default is to leave this field blank, which causes the system to select the default login shell.

-u, --uidUID
    The numerical value of the user's ID. This value must be unique, unless the -o option is used. The value must be non-negative. The default is to use the smallest ID value greater than 999 and greater than every other user. Values between 0 and 999 are typically reserved for system accounts.

  Ändrar standardvärden

When invoked with the -D option, useradd will either display the current default values, or update the default values from the command line. The valid options are

-b, --base-dir BASE_DIR
    The initial path prefix for a new user's home directory. The user's name will be affixed to the end of HOME_DIR to create the new directory name if the -d option is not used when creating a new account.

-e, --expiredateUTGÅNGSDATUM
    Datumet när användarkontot blir inaktiverat.

-f, --inactiveINAKTIV
    Antalet dagar efter att ett lösenord har gått ut innan kontot kommer att inaktiveras.

-g, --gidGRUPP
    The group name or ID for a new user's initial group. The named group must exist, and a numerical group ID must have an existing entry.

-s, --shellSKAL
    Namnet på den nya användarens inloggningsskal. Det angivna programmet kommer att användas för alla nya framtida användarkonton.

Om inga flaggor anges kommer useradd att visa aktuella standardvärden.

NOTERINGAR

Systemadministratören är ansvarig för att placera standardanvändarfiler i katalogen /etc/skel/.

TÄNK PÅ

Du får inte lägga till en användare till en NIS-grupp. Detta måste genomföras på NIS-servern.

Similarly, if the username already exists in an external user database such as NIS, useradd will deny the user account creation request.

Användarnamn måste börja med en gemen bokstav eller ett understreck och fÃ¥r endast innehålla gemener, understreck, minustecken och på slutet ett dollar-tecken. I reguljära uttryckstermer: [a-z_][a-z0-9_-]*[$]

FILER

/etc/passwd
    Användarkontoinformation.

/etc/shadow
    Säker användarkontoinformation.

/etc/group
    Gruppkontoinformation.

/etc/default/useradd
    Standardvärden för skapande av konto.

/etc/skel/
    Katalog som innehåller standardfiler.

/etc/login.defs
    Shadow password suite configuration.

AVSLUTNINGSVÄRDEN

Kommandot useradd avslutas med följande värden:

0   lyckad

1   kan inte uppdatera lösenordsfilen

2   ogiltig kommandosyntax

3   ogiltigt argument till flagga

4   UID används redan (och inget -o)

6   angiven grupp finns inte

9   användarnamnet används redan

10  kan inte uppdatera gruppfilen

12  kan inte skapa hemkatalog

13  kan inte skapa postkö

SE OCKSÅ

chfn(1), chsh(1), passwd(1), crypt(3), groupadd(8), groupdel(8), groupmod(8), login.defs(5), newusers(8), userdel(8), usermod(8).